<template>
    <div>
        <#if ctrl.getQuickSearchMode() gt 0>
        <i-input v-model="query" @on-change="onQueryChange" placeholder="<#if ctrl.getPSSearchBarQuickSearchs()??><#list ctrl.getPSSearchBarQuickSearchs() as search><#if search_index gt 0>,</#if><#if search.getPSDEField()??>${search.getPSDEField().getLogicName()}</#if></#list></#if>" style="<#if ctrl.getQuickSearchWidth() gt 0>width: ${ctrl.getQuickSearchWidth()?c}px;</#if>"></i-input>
        </#if>
    </div>
</template>
<#ibizinclude>
../@MACRO/CONTROL/CONTROL_HEADER-BASE.vue.ftl
</#ibizinclude>

    /**
     * 快速搜索值
     *
     * @type {string}
     * @memberof ${srfclassname('${ctrl.codeName}')}Base
     */
    public query: string = '';

    /**
     * 快速搜索值
     *
     * @type {*}
     * @memberof ${srfclassname('${ctrl.codeName}')}Base
     */
    public filterItems: any[] = [
        <#if ctrl.getPSSearchBarFilters()??>
        <#list ctrl.getPSSearchBarFilters() as filter>
        { label: '${filter.getCaption()}', prop: '${filter.getName()}', editorType: '${filter.getEditorType()}'<#if filter.getEditorWidth() gt 0>, editorWidth: ${filter.getEditorWidth()?c}</#if> },
        </#list>
        </#if>
    ];

    /**
     * 过滤模式
     *
     * @type {*}
     * @memberof ${srfclassname('${ctrl.codeName}')}Base
     */
    public filterModels: any[] = [
        { name: 'AND', value: '$and' },
        { name: 'OR', value: '$or' },
        { name: 'EQ', value: '$eq' },
        { name: 'NE', value: '$ne' },
        { name: 'GT', value: '$gt' },
        { name: 'GE', value: '$gte' },
        { name: 'LT', value: '$lt' },
        { name: 'LE', value: '$lte' },
        { name: 'IS_NULL', value: '$null' },
        { name: 'IS_NOT_NULL', value: '$notNull' },
        { name: 'IN', value: '$in' },
        { name: 'NOTIN', value: '$notIn' },
        { name: 'LIKE', value: '$like' },
        { name: 'LIFTLIKE', value: '$startsWith' },
        { name: 'RIGHTLIKE', value: '$endsWith' },
        { name: 'EXISTS', value: '$exists' },
        { name: 'NOTEXISTS', value: '$notExists' }
    ];

    /**
     * 获取多项数据
     *
     * @returns {any[]}
     * @memberof ${srfclassname('${ctrl.codeName}')}Base
     */
    public getDatas(): any[] {
        return [];
    }

    /**
     * 获取单项树
     *
     * @returns {*}
     * @memberof ${srfclassname('${ctrl.codeName}')}Base
     */
    public getData(): any {
        return null;
    }

    /**
     * 快速搜索框值变化
     *
     * @returns {*}
     * @memberof ${srfclassname('${ctrl.codeName}')}Base
     */
    public onQueryChange($event: any) {
        this.$emit('on-change', { query: this.query });
    }

    /**
     * 过滤项值变化
     *
     * @returns {*}
     * @memberof ${srfclassname('${ctrl.codeName}')}Base
     */
    public onFilterChange($event: any) {
        this.$emit('on-change', { filter: '' });
    }


<#ibizinclude>
../@MACRO/CONTROL/CONTROL_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/CONTROL/CONTROL-BASE.style.ftl
</#ibizinclude>